> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 人間の入力フォームを取得

> `human_input_required` イベントの `form_token` を用いて、一時停止中の人間の入力フォームの内容を取得します。**WebApp** 配信が必要です。



## OpenAPI

````yaml /ja/3.10.x/develop/api/openapi_workflow.json get /form/human_input/{form_token}
openapi: 3.0.1
info:
  title: ワークフローアプリAPI
  description: ワークフローアプリケーションはセッションなしの動作をサポートし、翻訳、記事作成、要約 AI などに最適です。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Workflow App API のベース URL です。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: ワークフロー
    description: ワークフローの実行と管理のための操作です。
  - name: ファイル操作
    description: ファイルのアップロードとダウンロードの操作です。
  - name: エンドユーザー
    description: エンドユーザー情報に関連する操作です。
  - name: 音声・テキスト変換
    description: 音声からテキストおよびテキストから音声への変換です。
  - name: アプリケーション設定
    description: アプリケーションの設定、パラメータ、メタデータです。
  - name: 人間の入力
    description: 人間の入力を要する一時停止中のワークフローの再開操作です。
paths:
  /form/human_input/{form_token}:
    get:
      tags:
        - 人間の入力
      summary: 人間の入力フォームを取得
      description: >-
        `human_input_required` イベントの `form_token`
        を用いて、一時停止中の人間の入力フォームの内容を取得します。**WebApp** 配信が必要です。
      operationId: getWorkflowHumanInputForm
      parameters:
        - name: form_token
          in: path
          required: true
          schema:
            type: string
          description: >-
            一時停止フォームのアクセストークン。ストリーミングモードで
            [ワークフローを実行](/api-reference/ワークフロー/ワークフローを実行) が返す
            `human_input_required` イベントから取得します。
      responses:
        '200':
          description: フォーム内容の取得に成功しました。
          content:
            application/json:
              schema:
                type: object
                properties:
                  form_content:
                    type: string
                    description: ワークフロー変数が置換された、事前レンダリング済みのフォーム本文。
                  inputs:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          description: >-
                            フォーム入力コントロールの種類。使用可能な値：`text_input`（単一行テキスト）と
                            `paragraph`（複数行テキスト）。
                        output_variable_name:
                          type: string
                          description: >-
                            この入力の送信値をワークフロー内で参照する変数名。送信時の `inputs`
                            オブジェクトのキーに対応します。
                        default:
                          type: object
                          nullable: true
                          description: ワークフローコンテキストから解決されるデフォルト値。デフォルトが設定されていない場合は `null`。
                          properties:
                            type:
                              type: string
                              description: >-
                                デフォルト値のソース。`constant` は `value`
                                をリテラル文字列として使用します。`variable` は `selector`
                                がワークフロー変数を指します。
                            selector:
                              type: array
                              items:
                                type: string
                              description: >-
                                `type` が `variable` の場合の変数参照パス（例：`["node_id",
                                "var_name"]`）。少なくとも 2 要素を含みます。
                            value:
                              type: string
                              description: '`type` が `constant` の場合のリテラルデフォルト値。常に文字列です。'
                    description: フォーム入力フィールドの定義。
                  resolved_default_values:
                    type: object
                    additionalProperties:
                      type: string
                    description: >-
                      事前入力デフォルト値。入力の `output_variable_name`
                      をキーとします。すべての値は文字列化されます。
                  user_actions:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          maxLength: 20
                          pattern: ^[A-Za-z_][A-Za-z0-9_]*$
                          description: >-
                            アクションボタンの識別子。受信者がこのボタンを選択したら、`action` として
                            [人間の入力フォームを送信](/api-reference/人間の入力/人間の入力フォームを送信)
                            に渡します。
                        title:
                          type: string
                          maxLength: 100
                          description: 受信者に表示されるボタンのラベル。
                        button_style:
                          type: string
                          description: >-
                            ボタンの視覚スタイル。使用可能な値：`primary`、`default`、`accent`、`ghost`。
                    description: 利用可能な送信アクション。
                  expiration_time:
                    type: integer
                    format: int64
                    description: Unix タイムスタンプ（秒）。これを過ぎるとフォームは送信できなくなります。
              examples:
                success:
                  summary: レスポンス例
                  value:
                    form_content: Please review the draft and confirm or request changes.
                    inputs:
                      - type: text_input
                        output_variable_name: comment
                        default:
                          type: constant
                          selector: []
                          value: ''
                    resolved_default_values:
                      comment: ''
                    user_actions:
                      - id: approve
                        title: Approve
                        button_style: primary
                      - id: reject
                        title: Request changes
                        button_style: default
                    expiration_time: 1745510400
        '404':
          description: '`not_found` : Form not found.'
          content:
            application/json:
              examples:
                not_found:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Form not found
        '412':
          description: >-
            - `human_input_form_submitted` : Form already submitted. Forms are
            one-shot; the first response wins regardless of which user submits
            it.

            - `human_input_form_expired` : The form's expiration time passed
            before submission arrived.
          content:
            application/json:
              examples:
                human_input_form_submitted:
                  summary: human_input_form_submitted
                  value:
                    status: 412
                    code: human_input_form_submitted
                    message: >-
                      This form has already been submitted by another user,
                      form_id=a1b2c3d4-e5f6-7890-abcd-ef1234567890
                human_input_form_expired:
                  summary: human_input_form_expired
                  value:
                    status: 412
                    code: human_input_form_expired
                    message: >-
                      This form has expired,
                      form_id=a1b2c3d4-e5f6-7890-abcd-ef1234567890
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**

````